Bug 142699 - unable to delete a composed indic character in a single keypress
unable to delete a composed indic character in a single keypress
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
massRequestForReproduction
: i18n
Depends On:
Blocks: Indic FIREFOX_PANGO 157913
  Show dependency treegraph
 
Reported: 2004-12-12 20:46 EST by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 05:40:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-12-12 20:46:37 EST
Description of problem:
Further to bug 138661, during editing the delete key does not delete the whole
composed character (unlike gtk+ applications like gedit).

How reproducible:
ALways

Steps to Reproduce:
1. load
http://bob.brisbane.redhat.com/eng/indic/hindi/BrowserTest_Hindi.html
2. go to text box area
3. try to delete an indic character by using BackSpace
  
Actual results:
Unable to delete the whole char with a single BackSpace

Expected results:
Able to delete the whole char using a single BackSpace

Additional info:
Comment 1 Jens Petersen 2005-03-18 05:32:10 EST
Any update on this?
Comment 2 Leon Ho 2005-05-16 09:42:27 EDT
Lawrence, it maybe s/Backspace/Delete key/ to suit the "description of problem"?
Comment 3 Jens Petersen 2005-05-16 11:30:08 EDT
Lawrence, doesn't this happen in gtk and xim apps too?
Comment 4 Lawrence Lim 2005-05-16 19:34:52 EDT
Updating the description to reflect the current behaviour of gtk+.

Description of problem:
Further to bug 138661, during editing, the 'Delete' key does not delete the whole
composed character (unlike gtk+ applications like gedit).

How reproducible:
ALways

Steps to Reproduce:
1. load
http://bob.brisbane.redhat.com/eng/indic/hindi/BrowserTest_Hindi.html
2. go to text box area
3. try to delete an indic character by using  the 'Delete' key
 
Actual results:
Unable to delete the whole char with a single 'Delete' keypress

Expected results:
Able to delete the whole char using a single 'Delete' keypress

Additional info:
RE Comment #3,
In gtk apps, Delete removes the whole composed character in one keypress while
Backspace remove the charcters which made up of the composed character one at a
time.


Comment 5 Red Hat Bugzilla 2007-10-21 20:43:13 EDT
User blizzard@redhat.com's account has been closed
Comment 6 Matěj Cepl 2008-02-08 15:41:35 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 8 Matěj Cepl 2008-04-09 08:24:51 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Jens Petersen 2008-04-10 02:17:29 EDT
I don't think this will ever be fixed in Firefox 2.

So it is just really a question of whether we will update RHEL4 firefox
to Firefox 3 or not.
Comment 10 Parag Nemade 2008-04-10 03:58:09 EDT
Tested this with firefox-3.0-0.beta5.1.el5 today in RHEL5U2. Found this
is resolved.
Current behaviour in Firefox is like this
composed character can be deleted in single "delete" keypress
composed character can be modified in multiple "backspace" keypress or deleted
in multiple "delete" keypress.

This is exactly same behaviour as tested using gedit(gtk application)

But still no fix for firefox 2.0 in RHEL4
Comment 11 Jens Petersen 2008-04-30 20:37:06 EDT
I guess this will get fixed by firefox3 in RHEL 4.7.
Comment 12 Parag Nemade 2008-11-11 05:40:08 EST
As firefox-3.0.1-1.el4 is already part of 4.7 distribution and it has fixed issue reported here, Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.